{% extends "viz0/base.html" %}
{% load static %}
{% block title %}{{term.name}} — term{% endblock title %}

{% block content %}
<div id="wrapper" class="term">
    <div class="boite">
        <div id="inner">
            <div id="head-box">
                <h1>{{term.name}}</h1>
                <div class="statement">{{term.statement}}</div>
            </div>
            <div id="image-box"></div>
            <div id="text-box">

                {% for item in texts%}
                <div class="text-item">
                    {% comment %} <h3>
                        <a href="{% url 'get_text' item.text.id %}">{{item.text.title}}</a>
                    </h3> {% endcomment %}
                    {% for p in item.paragraphs %}
                    <p>
                    <div class="par">
                        <div class="par-terms">
                            {% for term in p.terms %}
                            <div class="other-term">
                                {% with strid=term.identifier_str %}
                                {% with illu_url="codex_app/illus/terms/term-"|add:strid|add:".png" %}
                                <a href="{% url 'viz0.get_term' term.id %}">
                                    <img title="{{ term.name }}" src="{% static illu_url %}" />
                                </a>
                                {% endwith %}
                                {% endwith %}
                            </div>
                            {% endfor %}
                        </div>

                        <div class="text-content"
                            data-intervals="[{% for a in p.annotations %}[{{a.start}},{{a.end}}, {{a.id}}]{%if not forloop.last %},{%endif%}{% endfor %}]"
                            data-content="{{p.par.clean_content|escapejs}}">{{p.par.content}}</div>
                        </p>
                    </div>
                    {% endfor %}
                </div>
                {% endfor %}
            </div>
        </div>
        <div id="path-panel">
            <h2> Create and edit a path through the material
            </h2>
            <details>
                <summary> How?</summary>
                Use the buttons to create a path, or add the current term to the path. To add existing image
                or
                text fragments to the path, click on them on the left part of the page. If you wish to add a
                transitional text,
                use the text window at the bottom, type the text, and insert it. If you click on one of the
                pictograms, you will navigate to another term's page. Your path will remain in the making.
            </details>
            <div id="path-box"></div>
        </div>

    </div>
    {% endblock %}

    {% block script %}
    import { main } from "{% static 'codex_app/js/viz0/term.js' %}";


    window.termIlluURL = (id) => `{% static "codex_app/illus/terms/" %}term-${id}.png`

    const terms = {{ terms|safe }};
    const paths = {{ paths|safe }};
    const annotations = {{ annotations|safe }};
    const imagesAnnotations = {{ image_annotations|safe }};
    const images = {{ images|safe }};
    const transitionals = {{ transitionals|safe }};
    main({
    "app/mode": 'path',
    terms,
    paths,
    images,
    transitionals,
    "annotations/paragraph":annotations,
    "annotations/image":imagesAnnotations,
    currentTerm: {{ term.id }},
    'app/csrf' : "{{ csrf_token }}",
    });



    {% endblock %}